package dk.palmoe.immersivetools.init;

import dk.palmoe.immersivetools.Util;
import dk.palmoe.immersivetools.item.*;
import net.minecraft.util.registry.Registry;
import net.minecraft.entity.EquipmentSlot;
import net.minecraft.item.ArmorMaterial;
import net.minecraft.item.Item;
import net.minecraft.item.ItemGroup;

public class ItemInit {

        // Copper
        public static final CopperPickaxeItem COPPER_PICKAXE_ITEM = new CopperPickaxeItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final CopperAxeItem COPPER_AXE_ITEM = new CopperAxeItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final CopperShovelItem COPPER_SHOVEL_ITEM = new CopperShovelItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final CopperHoeItem COPPER_HOE_ITEM = new CopperHoeItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final CopperSwordItem COPPER_SWORD_ITEM = new CopperSwordItem(
                        new Item.Settings().group(ItemGroup.COMBAT));

        public static final ArmorMaterial COPPER_ARMOR_MATERIAL = CopperArmorMaterial.getInstance();
        public static final Item COPPER_HELMET = new CopperArmor(COPPER_ARMOR_MATERIAL, EquipmentSlot.HEAD,
                        new Item.Settings().group(ItemGroup.COMBAT));
        public static final Item COPPER_CHESTPLATE = new CopperArmor(COPPER_ARMOR_MATERIAL, EquipmentSlot.CHEST,
                        new Item.Settings().group(ItemGroup.COMBAT));
        public static final Item COPPER_LEGGINGS = new CopperArmor(COPPER_ARMOR_MATERIAL, EquipmentSlot.LEGS,
                        new Item.Settings().group(ItemGroup.COMBAT));
        public static final Item COPPER_BOOTS = new CopperArmor(COPPER_ARMOR_MATERIAL, EquipmentSlot.FEET,
                        new Item.Settings().group(ItemGroup.COMBAT));

        // Flint
        public static final FlintPickaxeItem FLINT_PICKAXE_ITEM = new FlintPickaxeItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final FlintAxeItem FLINT_AXE_ITEM = new FlintAxeItem(new Item.Settings().group(ItemGroup.TOOLS));
        public static final FlintShovelItem FLINT_SHOVEL_ITEM = new FlintShovelItem(
                        new Item.Settings().group(ItemGroup.TOOLS));
        public static final FlintHoeItem FLINT_HOE_ITEM = new FlintHoeItem(new Item.Settings().group(ItemGroup.TOOLS));
        public static final FlintSwordItem FLINT_SWORD_ITEM = new FlintSwordItem(
                        new Item.Settings().group(ItemGroup.COMBAT));

        public static void init() {
                // Copper
                Registry.register(Registry.ITEM, Util.ID("copper_pickaxe"), COPPER_PICKAXE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("copper_axe"), COPPER_AXE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("copper_shovel"), COPPER_SHOVEL_ITEM);
                Registry.register(Registry.ITEM, Util.ID("copper_hoe"), COPPER_HOE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("copper_sword"), COPPER_SWORD_ITEM);

                Registry.register(Registry.ITEM, Util.ID("copper_helmet"), COPPER_HELMET);
                Registry.register(Registry.ITEM, Util.ID("copper_chestplate"), COPPER_CHESTPLATE);
                Registry.register(Registry.ITEM, Util.ID("copper_leggings"), COPPER_LEGGINGS);
                Registry.register(Registry.ITEM, Util.ID("copper_boots"), COPPER_BOOTS);

                // Flint
                Registry.register(Registry.ITEM, Util.ID("flint_pickaxe"), FLINT_PICKAXE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("flint_axe"), FLINT_AXE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("flint_shovel"), FLINT_SHOVEL_ITEM);
                Registry.register(Registry.ITEM, Util.ID("flint_hoe"), FLINT_HOE_ITEM);
                Registry.register(Registry.ITEM, Util.ID("flint_sword"), FLINT_SWORD_ITEM);
        }
}
