package dk.palmoe.immersivetools.item;

import net.minecraft.item.ToolMaterial;
import net.minecraft.recipe.Ingredient;

public class CopperToolMaterial implements ToolMaterial {
    private static CopperToolMaterial INSTANCE = null;

    private CopperToolMaterial() {
    }

    public static CopperToolMaterial getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new CopperToolMaterial();
        }
        return INSTANCE;
    }

    // TODO: Make tool properties configurable
    @Override
    public float getAttackDamage() {
        // Dmg for sword is +3 of value below
        return 2;
    }

    @Override
    public int getDurability() {
        // iron = 250, diamond = 1561, stone = 131
        return 185;
    }

    @Override
    public int getEnchantability() {
        return 19;
    }

    @Override
    public int getMiningLevel() {
        return 2;
    }

    @Override
    public float getMiningSpeedMultiplier() {
        // 6 = iron, 8 = diamond
        return 7;
    }

    @Override
    public Ingredient getRepairIngredient() {
        // TODO: set repair item
        return null;
    }

    // LevelZ Compatibility
    @Override
    public String toString() {
        return "COPPER";
    }
}
