package dk.palmoe.immersivetools.item;

import net.minecraft.item.ToolMaterial;
import net.minecraft.recipe.Ingredient;

public class FlintToolMaterial implements ToolMaterial {
    private static FlintToolMaterial INSTANCE = null;

    private FlintToolMaterial() {
    }

    public static FlintToolMaterial getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new FlintToolMaterial();
        }
        return INSTANCE;
    }

    // TODO: Make tool properties configurable
    @Override
    public float getAttackDamage() {
        // Dmg for sword is +3 of value below
        return 1;
    }

    @Override
    public int getDurability() {
        // iron = 250, diamond = 1561, stone = 131
        return 131;
    }

    @Override
    public int getEnchantability() {
        return 5;
    }

    @Override
    public int getMiningLevel() {
        return 1;
    }

    @Override
    public float getMiningSpeedMultiplier() {
        // 6 = iron, 8 = diamond
        return 4;
    }

    @Override
    public Ingredient getRepairIngredient() {
        // TODO: set repair item
        return null;
    }

    // LevelZ Compatibility
    @Override
    public String toString() {
        return "FLINT";
    }
}
